com.sun.jna.platform.win32

## Interface WinNT.SYSTEM_POWER_STATE

- Enclosing interface:
    WinNT

      public static interface WinNT.SYSTEM_POWER_STATE

  Defines values that are used to specify system power states.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PowerSystemHibernate`
    `static int` | `PowerSystemMaximum`
    `static int` | `PowerSystemShutdown`
    `static int` | `PowerSystemSleeping1`
    `static int` | `PowerSystemSleeping2`
    `static int` | `PowerSystemSleeping3`
    `static int` | `PowerSystemUnspecified`
    `static int` | `PowerSystemWorking`

- - ### Field Detail

    - #### PowerSystemUnspecified

          static final int PowerSystemUnspecified

      See Also:
        Constant Field Values

    - #### PowerSystemWorking

          static final int PowerSystemWorking

      See Also:
        Constant Field Values

    - #### PowerSystemSleeping1

          static final int PowerSystemSleeping1

      See Also:
        Constant Field Values

    - #### PowerSystemSleeping2

          static final int PowerSystemSleeping2

      See Also:
        Constant Field Values

    - #### PowerSystemSleeping3

          static final int PowerSystemSleeping3

      See Also:
        Constant Field Values

    - #### PowerSystemHibernate

          static final int PowerSystemHibernate

      See Also:
        Constant Field Values

    - #### PowerSystemShutdown

          static final int PowerSystemShutdown

      See Also:
        Constant Field Values

    - #### PowerSystemMaximum

          static final int PowerSystemMaximum

      See Also:
        Constant Field Values

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.